#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'gtk_paradise/require_gtk2'
require 'colours/colours_e_autoinclude.rb'

include Gtk::BaseModule
e
e 'Testing '+Colours.steelblue('Gtk::Notebook')+' next:'
e
label = gtk_bold_label('Testing ::Gtk.image(:weather) next: ')
image = ::Gtk.image(:weather_icon)

hbox = gtk_hbox
hbox.add(label)
hbox.add(image)

r = Gtk.run
r.padding = 12
r.increase_font_size
r << hbox
r.set_size_request(800, 300)
r.top_left_then_show
r.enable_simple_exit_then_run